Skip to main content
GET
/
orders
/
history
Get order history
curl --request GET \
  --url https://api.jup.ag/trigger/v2/orders/history \
  --header 'Authorization: Bearer <token>' \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.jup.ag/trigger/v2/orders/history"

headers = {
"x-api-key": "<api-key>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', Authorization: 'Bearer <token>'}
};

fetch('https://api.jup.ag/trigger/v2/orders/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "orders": [
    {
      "id": "<string>",
      "userPubkey": "<string>",
      "inputMint": "<string>",
      "outputMint": "<string>",
      "rawState": "<string>",
      "privyWalletPubkey": "<string>",
      "initialInputAmount": "<string>",
      "remainingInputAmount": "<string>",
      "triggerMint": "<string>",
      "triggerPriceUsd": 123,
      "slippageBps": 123,
      "expiresAt": 123,
      "createdAt": 123,
      "updatedAt": 123,
      "triggeredAt": 123,
      "outputAmount": "<string>",
      "inputUsed": "<string>",
      "fillPercent": 123,
      "events": [
        {
          "timestamp": 123,
          "txSignature": "<string>",
          "mint": "<string>",
          "amount": "<string>",
          "outputMint": "<string>",
          "outputAmount": "<string>",
          "orderContext": "<string>"
        }
      ]
    }
  ],
  "pagination": {
    "total": 123,
    "limit": 123,
    "offset": 123
  }
}

Authorizations

x-api-key
string
header
required
Authorization
string
header
required

JWT token from the challenge-response auth flow

Query Parameters

state
enum<string>

Filter by order state group

Available options:
active,
past
mint
string

Filter by token mint address

limit
number
default:20

Results per page

Required range: 1 <= x <= 100
offset
number
default:0

Number of results to skip

sort
enum<string>
default:updated_at

Sort field

Available options:
updated_at,
created_at,
expires_at
dir
enum<string>
default:desc

Sort direction

Available options:
asc,
desc

Response

Paginated order history

orders
object[]
required
pagination
object
required